%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1

%define VERSION 1.15
Summary: 	List packages that have no dependencies
Summary(fr): 	Liste les packages rpm orphelins 
Name: 		rpmorphan
Version: 	%{VERSION}
Release: 	%mkrel 1
Group:		System/Configuration/Packaging
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL: 	http://rpmorphan.sourceforge.net
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Requires:	perl
Requires:	rpm
Requires:	logrotate

%description
rpmorphan finds "orphaned" packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages.

It is NOT OK to remove the listed packages unless you know EXACTLY 
what you are doing. This program is used internally by the people who
produce the PCLinuxOS LiveCD and is not intended to be used by the typical
Linux user. 

For internal use only.


%prep
%setup -q

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc rpmorphan.lsm Authors COPYING Changelog NEWS Todo Readme Readme.fr rpmorphanrc.sample
%{_bindir}/rpmorphan.pl
%{_bindir}/rpmorphan
%{_bindir}/rpmusage.pl
%{_bindir}/rpmusage
%{_bindir}/rpmdep.pl
%{_bindir}/rpmdep
%{_bindir}/rpmduplicates.pl
%{_bindir}/rpmduplicates
%ghost /var/log/rpmorphan.log
%dir /var/lib/rpmorphan
%config(noreplace) %attr(644, root, root) /var/lib/rpmorphan/keep
%dir /usr/lib/rpmorphan
%dir /usr/lib/rpmorphan/locale
%dir /usr/lib/rpmorphan/locale/en
%attr(644, root, root) /usr/lib/rpmorphan/locale/en/rpmorphan_trans.pl
%dir /usr/lib/rpmorphan/locale/fr_FR
%attr(644, root, root) /usr/lib/rpmorphan/locale/fr_FR/rpmorphan_trans.pl
%config(noreplace) /etc/logrotate.d/rpmorphan
%doc %{_mandir}/man1/rpmorphan.1*
%doc %{_mandir}/man1/rpmusage.1*
%doc %{_mandir}/man1/rpmdep.1*
%doc %{_mandir}/man1/rpmduplicates.1*
/etc/rpmorphanrc
%{_bindir}/grpmorphan
%{_bindir}/rpmextra
%{_bindir}/rpmextra.pl
/usr/lib/rpmorphan/rpmorphan-curses-lib.pl
/usr/lib/rpmorphan/rpmorphan-lib.pl
/usr/lib/rpmorphan/rpmorphan-tk-lib.pl
/usr/share/man/man1/rpmextra.1.bz2

   
%changelog
* Mon Oct 20 2014 bb <bb> 1.15-1pclos2014
- update

* Thu Apr 24 2014 bb <bb> 1.14-2pclos2014
- update description

* Sat Apr 19 2014 bb <bb> 1.14-1pclos2014
- update
